@import "assets/stylesheets/colors";
@import "assets/stylesheets/typography";

.MuiPickersBasePicker-container {
    .MuiPickersBasePicker-pickerView {
        .MuiPickersCalendarHeader-switchHeader {
            color: $primary-text;
        }
        .MuiPickersCalendarHeader-iconButton {
            color: $secondary-text;
            background-color: $secondary-dark;
        }
        .MuiPickersCalendarHeader-daysHeader {
            .MuiPickersCalendarHeader-dayLabel {
                color: $primary-text;
            }
        }
        .MuiPickersCalendar-transitionContainer {
            .MuiPickersCalendar-week {
                .MuiPickersDay-day {
                    color: $primary-text;
                }
                .MuiPickersDay-daySelected {
                    background-color: $primary-purple;
                }
            }
        }
    }
}
.MuiPickersClockNumber-clockNumber {
    color:$primary-text !important
}
    .MuiInputBase-root {
        color: $primary-text;
        @extend h6;
        .MuiIconButton-root {
            color: $secondary-text;
        }
    }
    .MuiInput-underline {
        &:before {
            border-bottom: 2px solid $secondary-text;
        }
        &:after {
            border-bottom: 1px solid $secondary-text;
        }
    }
